## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           python-railroad-diagrams
Version:        3.0.1
Release:        %autorelease
Summary:        Library to generate railroad diagrams
License:        MIT
URL:            https://github.com/tabatkins/railroad-diagrams

# Upstream doesn't do tags: https://github.com/tabatkins/railroad-diagrams/issues/91
%global commit c3a16b9dcb06f5d0ae2260f8414136917871d4c5
%global forgeurl %url
%forgemeta
%global distprefix %{nil}
Source:         %{forgesource}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Railroad diagrams are a way of visually representing a grammar in a form that is
more readable than using regular expressions or BNF. They can easily represent
any context-free grammar, and some more powerful grammars.}

%description %_description

%package -n python3-railroad-diagrams
Summary:        %{summary}

%description -n python3-railroad-diagrams %_description

%prep
%forgesetup

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

# Here, "railroad" is the name of the importable module.
%pyproject_save_files railroad

%check
%python3 railroad.py >/dev/null

%files -n python3-railroad-diagrams -f %{pyproject_files}
%doc README.md
%doc README-py.md

%changelog
* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 3.0.1-2
- Rebuilt for Python 3.12

* Mon Mar 27 2023 Gwyn Ciesla <gwync@protonmail.com> - 3.0.1-1
- 3.0.1, SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.4-4
- Switch to github tarball to get the upstream tests file

* Mon Jul 18 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.4-3
- Extend description and adjust url

* Sat Jul 16 2022 Benson Muite <benson_muite@emailplus.org> - 2.0.4-2
- Convert to %%pyproject_wheel

* Thu Jul 14 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.0.4-1
- Initial version
